Portlet API (V0.7.1) : Interface PortletRequestDispatcher

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortletRequestDispatcher

public interface PortletRequestDispatcher

The `RequestDispatcher` interface defines an object that receives requests from the client and sends them to the specified resources (such as a servlet, HTML file, or JSP file) on the server. The portlet container creates the `RequestDispatcher` object, which is used as a wrapper around a server resource located at a particular path or given by a particular name.

Method Summary
`void` | `include(RenderRequest request, RenderResponse response)` Includes the content of a resource (servlet, JSP page, HTML file) in the response.

Method Detail

### include

    public void include(RenderRequest request,
                        RenderResponse response)
                 throws PortletException,
                        java.io.IOException

  Includes the content of a resource (servlet, JSP page, HTML file) in the response. In essence, this method enables programmatic server-side includes.

  The path elements and parameters of the `RenderResponse` object remain unchanged. The included servlet cannot change the response status code or set headers; any attempt to make a change is ignored.

  Parameters:
    `request` - a `RenderRequest` object that contains the client request
    `response` - a `RenderResponse` object that contains the render response
  Throws:
    `PortletException` - if the included resource throws a ServletException, or other exceptions that are not Runtime- or IOExceptions.
    `java.io.IOException` - if the included resource throws this exception

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD